#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hledger-iadd
version:              1.3.17
visibility:           public
id:                   hledger-iadd-1.3.17-5EMU6HxnPnlLM1yI3IL9M0
key:                  hledger-iadd-1.3.17-5EMU6HxnPnlLM1yI3IL9M0
license:              BSD-3-Clause
copyright:            2018 Hans-Peter Deifel
maintainer:           Hans-Peter Deifel <hpd@hpdeifel.de>
author:               Hans-Peter Deifel <hpd@hpdeifel.de>
homepage:             https://github.com/hpdeifel/hledger-iadd#readme
synopsis:             A terminal UI as drop-in replacement for hledger add
description:
    This is a terminal UI as drop-in replacement for hledger add.

    It improves in the following ways on hledger'\''s add command:

    * Interactive as-you-type completion for
    account names and descriptions with optional
    fuzzy matching.

    * Integrated calculator: Amounts can be written
    as simple sums with real-time feedback on the
    result.

    * All actions while entering a transaction can
    be undone

    * Configurable format for date input. Instead
    of @y\/m\/d@ it is also possible to use other
    formats like the german @d.m.y@.

category:             Finance, Console
abi:                  8e62ccc41d52a27feba626d2f9e394bb
exposed:              True
exposed-modules:
    AmountParser Brick.Widgets.BetterDialog Brick.Widgets.Border.Utils
    Brick.Widgets.CommentDialog Brick.Widgets.Edit.EmacsBindings
    Brick.Widgets.HelpMessage Brick.Widgets.List.Utils
    Brick.Widgets.WrappedText ConfigParser Data.Time.Ext DateParser
    Model View

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hledger-iadd-1.3.17
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hledger-iadd-1.3.17
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/hledger-iadd
hs-libraries:         HShledger-iadd-1.3.17-5EMU6HxnPnlLM1yI3IL9M0
depends:
    base-4.15.1.0 brick-0.66.1-Km4MAABbyBv3o4IQvnRODO
    containers-0.6.4.1 directory-1.3.6.2
    free-5.1.7-12g1mesVete4plTeFzTSPP
    hledger-lib-1.25-8vNyE2cdZK46wrZOeWidOi
    megaparsec-9.2.0-Qg8ATnAH0uL6Cs4YdeyyC
    microlens-0.4.12.0-1fJvmROd5lxEQCLdQ6LGgk
    microlens-th-0.4.3.10-CAAiPodk0tn9fh7vbCRi5r
    optparse-applicative-0.16.1.0-Je4Eqp47gZkHU3mHmIhYBI text-1.2.5.0
    text-zipper-0.11-FSDN1mMNBFXCVboOgtnbWF time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.17.0-4bcRecgfIOjL5KIXJoFyIi
    vector-0.12.3.1-K551lzEJJcR9600hgrx2VO
    vty-5.35.1-DkwmD5GC4G6DtYsO8dkUDT
    xdg-basedir-0.2.2-DeGg1ryr7ndmwRYCQYweT

haddock-interfaces:   /usr/share/doc/hledger-iadd/html/hledger-iadd.haddock
haddock-html:         /usr/share/doc/hledger-iadd/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

